Page MenuHomeFreeBSD

lang/rust: Update to 1.34.0
ClosedPublic

Authored by tobik on Apr 8 2019, 9:34 PM.

Details

Summary
Test Plan

Lots of patches did not apply cleanly, so this is probably incomplete.
A test build on amd64 is still in progress.

@pkubaj_riseup.net @mikael.urankar_gmail.com We need new bootstraps for (and testing on) arm* and powerpc64. Can you help with that?

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik created this revision.Apr 8 2019, 9:34 PM
tobik updated this revision to Diff 55969.Apr 8 2019, 9:39 PM
  • Put back %CC% in a couple of patches
tobik edited the summary of this revision. (Show Details)Apr 8 2019, 9:47 PM
  • bundled rustc-ap-syntax in devel/racer is very picky, so updating the port to later version maybe required (e.g., latest unless it depends on rust 1.35)
  • textproc/ripgrep/files/patch-no-bitmask can be dropped
jbeich added inline comments.Apr 8 2019, 10:28 PM
lang/rust/files/patch-src_bootstrap_bootstrap.py
18 ↗(On Diff #55969)

This chunk is not in Rust 1.34, see adddee4946fb.

jbeich added a comment.EditedApr 8 2019, 10:36 PM

Doesn't build:

error[E0432]: unresolved import `spec`
 --> vendor/rustc-ap-rustc_target/spec/armv6_unknown_freebsd.rs:1:5
  |
1 | use spec::{LinkerFlavor, Target, TargetOptions, TargetResult};
  |     ^^^^ did you mean `crate::spec`?
  |
  = note: `use` statements changed in Rust 2018; read more at <https://doc.rust-lang.org/edition-guide/rust-2018/module-system/path-clarity.html>

error[E0432]: unresolved import `spec`
 --> vendor/rustc-ap-rustc_target/spec/armv7_unknown_freebsd.rs:1:5
  |
1 | use spec::{LinkerFlavor, Target, TargetOptions, TargetResult};
  |     ^^^^ did you mean `crate::spec`?
  |
  = note: `use` statements changed in Rust 2018; read more at <https://doc.rust-lang.org/edition-guide/rust-2018/module-system/path-clarity.html>

   Compiling rustc-ap-syntax_pos v373.0.0
error: aborting due to 2 previous errors
tobik updated this revision to Diff 55971.Apr 8 2019, 10:55 PM
  • Fix bootstrap.py patch
  • Add crate:: to rustc-ap-rustc_target armv* patches too
  • Drop textproc/ripgrep/files/patch-no-bitmask
tobik updated this revision to Diff 55972.Apr 8 2019, 11:03 PM
tobik marked an inline comment as done.
  • Hopefully unmark files/patch-src_bootstrap_bootstrap.py as deleted now
tobik updated this revision to Diff 55980.Apr 9 2019, 6:59 AM
  • Fix post-install when restarting failed builds and recursively delete share/doc/rust/*.old
  • Add arm*, powerpc64 bootstraps

What version do you need? I have v1.33 available here:

That should do. I've mirrored them in LOCAL/tobik. Thanks!

tobik updated this revision to Diff 55982.Apr 9 2019, 8:17 AM
  • Update and fix build of devel/racer
jbeich accepted this revision.Apr 9 2019, 3:10 PM
jbeich added inline comments.
devel/racer/Makefile
102 ↗(On Diff #55982)

scope-tls comment above is obsolete since 1.0.0 but RUSTC_BOOTSTRAP=1 is still required by rustc-ap-syntax (and its dependecies). Either update the comment or remove it.

tobik updated this revision to Diff 56012.Apr 9 2019, 4:55 PM
  • racer: remove obsolete comment
tobik added a comment.Apr 10 2019, 6:34 PM

Builds on 13.0/amd64, 12.0/amd64 and 11.2/i386 were all fine.

Anybody testing arm*, powerpc64?

This revision was not accepted when it landed; it landed in state Needs Review.Apr 11 2019, 7:39 PM
Closed by commit rP498677: lang/rust: Update to 1.34.0 (authored by tobik). · Explain Why
This revision was automatically updated to reflect the committed changes.